diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 8eaed6d..5c62b58 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -900,6 +900,7 @@
     render: function() {
       // Clean up existing elements
       this.undelegateEvents();
+      this.$el.empty();
 
       var field = _.defaults(this.field.toJSON(), this.defaults),
           attributes = this.model.toJSON(),
@@ -978,7 +979,8 @@
           gridSchema.columns.unshift({
             name: "pg-backform-delete", label: "",
             cell: Backgrid.Extension.DeleteCell,
-            editable: false, cell_priority: -1
+            editable: false, cell_priority: -1,
+            canDeleteRow: data.canDeleteRow
           });
       }
 
@@ -990,7 +992,7 @@
 
           gridSchema.columns.unshift({
             name: "pg-backform-edit", label: "", cell : editCell,
-            cell_priority: -2
+            cell_priority: -2, canEditRow: data.canEditRow
           });
       }
 
@@ -1200,7 +1202,8 @@
           gridSchema.columns.unshift({
             name: "pg-backform-delete", label: "",
             cell: Backgrid.Extension.DeleteCell,
-            editable: false, cell_priority: -1
+            editable: false, cell_priority: -1,
+            canDeleteRow: data.canDeleteRow
           });
       }
 
@@ -1214,7 +1217,8 @@
 
           gridSchema.columns.unshift({
             name: "pg-backform-edit", label: "", cell : editCell,
-            cell_priority: -2, editable: canEdit
+            cell_priority: -2, editable: canEdit,
+            canEditRow: data.canEditRow
           });
       }
 
@@ -1664,6 +1668,8 @@
             canAdd: (disabled ? false : evalASFunc(s.canAdd)),
             canEdit: (disabled ? false : evalASFunc(s.canEdit)),
             canDelete: (disabled ? false : evalASFunc(s.canDelete)),
+            canEditRow: (disabled ? false : evalASFunc(s.canEditRow)),
+            canDeleteRow: (disabled ? false : evalASFunc(s.canDeleteRow)),
             transform: evalASFunc(s.transform),
             mode: mode,
             control: control,
